> ## Documentation Index
> Fetch the complete documentation index at: https://otoyinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Account Agreements



## OpenAPI

````yaml https://api.dispersed.com/openapi.json get /v1/account-agreements
openapi: 3.1.0
info:
  title: Dispersed API
  version: 1.0.0
servers:
  - url: https://api.dispersed.com
security: []
paths:
  /v1/account-agreements:
    get:
      tags:
        - Account Agreements
      summary: List Account Agreements
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 50
            example: 1
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 9007199254740991
            example: 1
          required: false
          name: page
          in: query
        - schema:
            type: string
            example: created_at OR -created_at
          required: false
          name: sort
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: filter[account_uuid]
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: filter[agreement_uuid]
          in: query
      responses:
        '200':
          description: List of account agreement acceptances
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAccountAgreementsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ListAccountAgreementsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AccountAgreementResponse'
        limit:
          type: integer
        page:
          type: integer
        total:
          type: integer
      required:
        - data
        - limit
        - page
        - total
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
    AccountAgreementResponse:
      type: object
      properties:
        uuid:
          type:
            - string
            - 'null'
        account_uuid:
          type:
            - string
            - 'null'
        agreement_uuid:
          type:
            - string
            - 'null'
        accepted_at:
          type:
            - string
            - 'null'
          format: date-time
        accepted_by_account_uuid:
          type:
            - string
            - 'null'
        source:
          type: string
          enum:
            - ADMIN
            - API
            - CONSOLE
        ip_address:
          type:
            - string
            - 'null'
        user_agent:
          type:
            - string
            - 'null'
        object:
          type: string
          enum:
            - account_agreement
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - accepted_at
        - source
        - ip_address
        - user_agent
        - object
        - created_at
    Error:
      type: object
      properties:
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              expected:
                type: string
              input:
                type: string
              keys:
                type: array
                items:
                  type: string
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
          default: []
        message:
          type: string
        status:
          type: number
        timestamp:
          type: string
      required:
        - code
        - message
        - status
        - timestamp

````